# Class: CustomFieldOptionClient

## CustomFieldOptionClient

## Constructor

#### new CustomFieldOptionClient(jiraClient)

Used to access Jira REST endpoints in '/rest/api/2/customFieldOptions'

##### Parameters:

Name | Type | Description
--- | --- | ---
`jiraClient` | JiraClient |

Source:
  - api/customFieldOption.js, line 7

### Methods

#### getCustomFieldOption(opts, callback)

Returns a full representation of the Custom Field Option that has the given id.

##### Parameters:

Name | Type | Description
--- | --- | ---

`opts`

Object

The request options sent to the Jira API

###### Properties

Name | Type | Description
--- | --- | ---
`fieldOptionId` | string | A String containing an Custom Field Option id

`callback` |  |

Source:
  - api/customFieldOption.js, line 16